package routers

import (
	"spaceofcheng/services/controllers/message"

	"github.com/astaxie/beego"
)

func getGuestRoutes() beego.LinkNamespace {
	prefix := beego.AppConfig.String("api::guest")

	return beego.NSNamespace(prefix,
		beego.NSRouter("/cmsinfo", &message.MessageController{}, "get:GetCmsInfoByLocation"),
		beego.NSRouter("/cmsimg", &message.MessageController{}, "get:GetImgByLocation"),
		beego.NSRouter("/cmsnews", &message.MessageController{}, "get:GetNewsByLocation"),
		beego.NSRouter("/cmscase", &message.MessageController{}, "get:GetCmsCaseList"),
	)
}
