package cases

import (
	"spaceofcheng/services/models/cases"
	"spaceofcheng/services/utils"
)

// CaseServ 系统处理
type CaseServ struct {
	ctx *utils.Context
	dao *cases.CaseDAO
}

// NewCaseServ 初始化
func NewCaseServ(ctx *utils.Context) *CaseServ {
	return &CaseServ{
		ctx: ctx,
		dao: cases.NewCaseDAO(ctx),
	}
}
