package cases

import (
	"spaceofcheng/services/controllers"
	"spaceofcheng/services/service/cases"
)

// CaseController 信息
type CaseController struct {
	dao *cases.CaseServ
	controllers.BaseController
}

// Constructor 初始化 Controller
// @Title Constructor
// @Description 初始化 Controller, 系统自动调用
func (c *CaseController) Constructor() {
	c.dao = cases.NewCaseServ(c.Context)
}
